/*******************************************************************************
 * Copyright (c) 2002 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Common Public License v0.5
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v05.html
 * 
 * Contributors:
 * IBM - Initial API and implementation
 ******************************************************************************/
package org.eclipse.team.internal.ftp;

import java.io.IOException;
import java.io.InterruptedIOException;

import org.eclipse.core.runtime.CoreException;
import org.eclipse.core.runtime.IStatus;
import org.eclipse.core.runtime.Status;
import org.eclipse.team.core.TeamException;

public class FTPException extends TeamException {
	public FTPException(IStatus status) {
		super(status);
	}
	
	public FTPException(String message) {
		super(new Status(IStatus.ERROR, FTPPlugin.ID, UNABLE, message, null));
	}

	public FTPException(String message, int code) {
		this(new Status(IStatus.ERROR, FTPPlugin.ID, code, message, null));
	}
	
	/*
	 * Static helper methods for creating exceptions
	 */
	public static FTPException wrapException(String message, CoreException e) {
		return new FTPException(new Status(IStatus.ERROR, FTPPlugin.ID, UNABLE, message, e));
	}
}
